ROS安装ROS-Academy-for-Beginners-master依赖包问题 WARNING: The following packages cannot be authenticated!

在学习ros时,当安装ROS-Academy-for-Beginners依赖包时,遇到了WARNING: The following packages cannot be authenticated! ERROR: the following rosdeps failed to install的问题。

在创建一个名为tutorial_ws的工作空间,在它的的src路径下克隆ROS-Academy-for-Beginners-master软件包:

$ mkdir -p tutorial_ws/src   #创建catkin工作空间
$ cd tutorial_ws/src         #进入src路径,克隆教学软件包
$ git clone https://github.com/DroidAITech/ROS-Academy-for-Beginners.git

之后安装依赖:

$ cd ~/tutorial_ws
$ rosdep install --from-paths src --ignore-src --rosdistro=kinetic -y

当安装依赖是,跳出如下提示:
在这里插入图片描述
在尝试多种方法之后,发现直接从src文件夹中安装,使用如下指令:

rosdep install --from-paths ~/tutorial_ws/src/ROS-Academy-for-Beginners-master --ignore-src -r

其中~/tutorial_ws/src/ROS-Academy-for-Beginners是我的依赖包所存放的地方。注意:安装依赖包过程只点击Y即可。
最后你发现#All required rosdeps installed successfully的提示,成功解决。

展开阅读全文
©️2020 CSDN 皮肤主题: 数字20 设计师: CSDN官方博客 返回首页
实付0元
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、C币套餐、付费专栏及课程。

余额充值